質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.48%

  • Ruby on Rails

    7482questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • RubyGems

    338questions

    RubyGemsはRubyによるプログラミングのためのパッケージマネジメントツールです。ユーザはこれを使用することで、Rubyライブラリのダウンロードやアップデートや、依存関係の自動解決が可能になります。

bundle installした際に、Permission deniedエラー

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 6,861

shingo.nick

score 1

お世話になっております。
rails newで新規プロジェクトを作成した後、bundle installを行うと以下のようなエラーが出てきます。
ネットで調べても解決策が見つからず困っております。
こちらの対処法を教えて頂けますでしょうか。
エラー内容、バージョン等は以下になります。

$ bundle install --path vendor/bundle
Fetching gem metadata from https://rubygems.org/.............
Fetching version metadata from https://rubygems.org/...
Fetching dependency metadata from https://rubygems.org/..
Using rake 10.4.2
Using i18n 0.7.0
Installing json 1.8.3 with native extensions

Errno::EACCES: Permission denied @ rb_sysopen - /Users/xxx/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/json-1.8.3/tests/test_json.rb
An error occurred while installing json (1.8.3), and Bundler cannot continue.
Make sure that gem install json -v '1.8.3' succeeds before bundling.

・バージョン
OS:OS X Yosemite
Ruby: 2.1.2(rbenv)
Rails:4.2.1
gem: 2.2.2
bundler: 1.10.6

・gem install jsonを行ってみた結果
gem install json -v '1.8.3'コマンドを叩いても、何も出力されずに止まってしまいます。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

/Users/xxx/.rbenv 配下のパーミッションは書き込み可になっていますか?

時折発生するトラブルは、過去にうっかり rootユーザーでインストール作業をしてしまい、気付かぬうちに一般ユーザーで書き込めなくなってしまう事があります。

念のため、まずはご確認ください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/09/27 05:32

    .rbenvのパーミッションは以下のようになっておりました。
    問題はなさそうです。
    drwxr-xr-x xxx(自分) staff .rbenv

    キャンセル

  • 2015/09/27 08:33

    「.rbenv」そのものではなく、その「配下」全てを調べないと意味が無いです。
    今は Ruby のバージョンが 2.1.2 ですので、たとえば以下のようなコマンドで調べてみてください。
    「find /Users/xxx/.rbenv/versions/2.1.2 | xargs ls -ld」

    キャンセル

  • 2015/09/29 03:53

    上記コマンドを実行して.rbenv配下を調べましたが、すべてxxx(自分)権限となっておりました。

    その後、色々と思考錯誤した結果なんとかbundle installできるようになりました。
    知識不足と猛省しております。ご助力ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby on Rails

    7482questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • RubyGems

    338questions

    RubyGemsはRubyによるプログラミングのためのパッケージマネジメントツールです。ユーザはこれを使用することで、Rubyライブラリのダウンロードやアップデートや、依存関係の自動解決が可能になります。